Problems with compiling kdb

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Problems with compiling kdb

priyanshu jain
Hi all,

Sorry for this whole big delay. Now I am free from my academic commitments and ready to work on kexi, I deleted all previous build and start over again and failed to build.

While building kdb with cmake I found these errors with sdc.py file 
I am not getting why these errors are taking place.

I am using Archlinux and installed following packages in their latest versions:

qt5-base
qt5-tools
kf5 group
kcoreaddons
mariadb 
postgresql
extra-cmake-modules
ki18n
libmariadbclient 
breeze-icons
kreport
ktexteditor
marble (make)
qt5-webkit 
icu
sqlite

Cmake output is attached below.


Thanks and regards,
 

CMakeOutput.log (62K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Problems with compiling kdb

Jaroslaw Staniek-3
On 8 December 2016 at 18:08, priyanshu jain
<[hidden email]> wrote:
>
> Hi all,
>
> Sorry for this whole big delay. Now I am free from my academic commitments and ready to work on kexi, I deleted all previous build and start over again and failed to build.
>
> While building kdb with cmake I found these errors with sdc.py file
> https://paste.kde.org/pxsybnxf7
> I am not getting why these errors are taking place.
>

Hi Priyanshu,
Thanks for the report.
I think it's a problem with two python versions or having only
python3, similar to https://phabricator.kde.org/T1304.
But after that fix we started to detect python using
'find_package(PythonInterp)' and have a new issue. Could you please
check what PYTHON_EXECUTABLE is in CMakeCache?

If it's 3.* then could you please find and change

find_package(PythonInterp)

in the code to

find_package(PythonInterp EXACT 2)

and retry? Removing the cache (one time only) can help.
If this works I can fix the thing in the repo.

--
regards, Jaroslaw Staniek

KDE:
: A world-wide network of software engineers, artists, writers, translators
: and facilitators committed to Free Software development - http://kde.org
Calligra Suite:
: A graphic art and office suite - http://calligra.org
Kexi:
: A visual database apps builder - http://calligra.org/kexi
Qt Certified Specialist:
: http://www.linkedin.com/in/jstaniek
Reply | Threaded
Open this post in threaded view
|

Re: Problems with compiling kdb

priyanshu jain


On Fri, Dec 9, 2016 at 1:46 AM, Jaroslaw Staniek <[hidden email]> wrote:

>
> On 8 December 2016 at 18:08, priyanshu jain
> <[hidden email]> wrote:
> >
> > Hi all,
> >
> > Sorry for this whole big delay. Now I am free from my academic commitments and ready to work on kexi, I deleted all previous build and start over again and failed to build.
> >
> > While building kdb with cmake I found these errors with sdc.py file
> > https://paste.kde.org/pxsybnxf7
> > I am not getting why these errors are taking place.
> >
>
> Hi Priyanshu,
> Thanks for the report.
> I think it's a problem with two python versions or having only
> python3, similar to https://phabricator.kde.org/T1304.
> But after that fix we started to detect python using
> 'find_package(PythonInterp)' and have a new issue. Could you please
> check what PYTHON_EXECUTABLE is in CMakeCache?
>
> If it's 3.* then could you please find and change
>
> find_package(PythonInterp)
>
> in the code to
>
> find_package(PythonInterp EXACT 2)
>
> and retry? Removing the cache (one time only) can help.
> If this works I can fix the thing in the repo.
>
> --
> regards, Jaroslaw Staniek
There are still errors that i tried to resolve but didn't get it:
 
Reply | Threaded
Open this post in threaded view
|

Re: Problems with compiling kdb

Jaroslaw Staniek-3


On 9 December 2016 at 12:35, priyanshu jain <[hidden email]> wrote:


On Fri, Dec 9, 2016 at 1:46 AM, Jaroslaw Staniek <[hidden email]> wrote:

>
> On 8 December 2016 at 18:08, priyanshu jain
> <[hidden email]> wrote:
> >
> > Hi all,
> >
> > Sorry for this whole big delay. Now I am free from my academic commitments and ready to work on kexi, I deleted all previous build and start over again and failed to build.
> >
> > While building kdb with cmake I found these errors with sdc.py file
> > https://paste.kde.org/pxsybnxf7
> > I am not getting why these errors are taking place.
> >
>
> Hi Priyanshu,
> Thanks for the report.
> I think it's a problem with two python versions or having only
> python3, similar to https://phabricator.kde.org/T1304.
> But after that fix we started to detect python using
> 'find_package(PythonInterp)' and have a new issue. Could you please
> check what PYTHON_EXECUTABLE is in CMakeCache?
>
> If it's 3.* then could you please find and change
>
> find_package(PythonInterp)
>
> in the code to
>
> find_package(PythonInterp EXACT 2)
>
> and retry? Removing the cache (one time only) can help.
> If this works I can fix the thing in the repo.
>
> --
> regards, Jaroslaw Staniek
There are still errors that i tried to resolve but didn't get it:

Could you please check what PYTHON_EXECUTABLE is in CMakeCache?
It must point to Python 2.
If not, you remove the cache and retry.

 



--
regards, Jaroslaw Staniek

KDE:
: A world-wide network of software engineers, artists, writers, translators
: and facilitators committed to Free Software development - http://kde.org
Calligra Suite:
: A graphic art and office suite - http://calligra.org
Kexi:
: A visual database apps builder - http://calligra.org/kexi
Qt Certified Specialist:
: http://www.linkedin.com/in/jstaniek